Subject: Re: [PATCH 12/24] powerpc: 4xx PLB to PCI Express support

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 03 Dec 2007 07:33:41 +1100

On Sun, 2007-12-02 at 13:32 +0100, Stefan Roese wrote:
> As already mentioned I'm experiencing some problems with this current
> version. 
> At least what's available in Josh's 2.6.25-candidates branch. The
> kernel 
> crashes in the first ppc4xx_pciex_read_config() call upon (after I
> fixed the 
> small problem mentioned further down below):
> 
>         BUG_ON(hose != port->hose);
>
> So before digging into this deeper, I wanted to check if you don't
> have a 
> slightly "better" version which passed your tests with the sky2 PCIe
> card.

Yup, looks I forgot a quilt ref or something. I'll check. I'll also give
port 1 and 2 a go (after fixing the DT).

I also want to change the config space code to use some fixmap type
direct mapping/unmapping to remove bus number limitations as soon as
Kumar has implemented the fixmap stuff, since he seems to be working on
it now.

Ben.